#include <linux/module.h>
#include <linux/init.h>

#ifdef MODULE
#include <ifx_adsl_linux.h>
#else
#include <ifx/dsl/ifx_adsl_linux.h>
#endif

extern int IFX_ADSL_ModuleInit(void);
extern void IFX_ADSL_ModuleCleanup(void);

////////////////////////////////////////////////////////////////////////////
int ifx_copy_to_user(char * pDst, char *pSrc, int iSize)
{
	return copy_to_user(pDst,pSrc,iSize);	
}
int ifx_copy_from_user(char * pDst, char *pSrc, int iSize)
{
	return copy_from_user(pDst,pSrc,iSize);	
}
int __init IFX_ADSL_ModuleInit_kernel(void)
{

	return IFX_ADSL_ModuleInit();
}

void __exit IFX_ADSL_ModuleCleanup_kernel(void)
{
	IFX_ADSL_ModuleCleanup();
}

module_init(IFX_ADSL_ModuleInit_kernel);
module_exit(IFX_ADSL_ModuleCleanup_kernel);
